Package Details: haxor-news 0.4.2-1

Git Clone URL: https://aur.archlinux.org/haxor-news.git (read-only, click to copy)
Package Base: haxor-news
Description: A Hacker News command line interface
Upstream URL: https://github.com/donnemartin/haxor-news
Licenses: Apache
Submitter: Xenopathic
Maintainer: Xenopathic
Last Packager: Xenopathic
Votes: 7
Popularity: 0.000001
First Submitted: 2016-10-17 14:25 (UTC)
Last Updated: 2017-07-13 17:59 (UTC)

Latest Comments

L0-FF commented on 2020-06-04 19:18 (UTC)

Easiest install method:

pacman -S python-prompt_toolkit1
pacman -S haxor-news --asdeps --editmenu

When prompted: edit PKGBUILD file, line 15 change: python-prompt_toolkit to python-prompt_toolkit1 save. continue w/ install.

madalu commented on 2020-05-13 15:24 (UTC) (edited on 2020-05-13 15:35 (UTC) by madalu)

This package no longer works because it is pinned to python-prompt_toolkit 1.1.0. The current python-prompt_toolkit in the arch repos is 3.0.5. Need to add python-prompt_toolkit1 (in aur) as a dependency and add the prepare function explained here:

https://aur.archlinux.org/packages/python-prompt_toolkit1/

Here's the backtrace:

 Traceback (most recent call last):
   File "/usr/lib/python3.8/site-packages/pkg_resources/__init__.py", line 584, in _build_master
     ws.require(__requires__)
   File "/usr/lib/python3.8/site-packages/pkg_resources/__init__.py", line 901, in require
     needed = self.resolve(parse_requirements(requirements))
   File "/usr/lib/python3.8/site-packages/pkg_resources/__init__.py", line 792, in resolve
     raise VersionConflict(dist, req).with_context(dependent_req)
 pkg_resources.ContextualVersionConflict: (prompt-toolkit 3.0.5 (/usr/lib/python3.8/site-packages), Requirement.parse('prompt-toolkit<1.1.0,>=1.0.0'), {'haxor-news'})

 During handling of the above exception, another exception occurred:

 Traceback (most recent call last):
   File "/usr/bin/haxor-news", line 6, in <module>
     from pkg_resources import load_entry_point
   File "/usr/lib/python3.8/site-packages/pkg_resources/__init__.py", line 3262, in <module>
     def _initialize_master_working_set():
   File "/usr/lib/python3.8/site-packages/pkg_resources/__init__.py", line 3245, in _call_aside
     f(*args, **kwargs)
   File "/usr/lib/python3.8/site-packages/pkg_resources/__init__.py", line 3274, in _initialize_master_working_set
     working_set = WorkingSet._build_master()
   File "/usr/lib/python3.8/site-packages/pkg_resources/__init__.py", line 586, in _build_master
     return cls._build_from_requirements(__requires__)
   File "/usr/lib/python3.8/site-packages/pkg_resources/__init__.py", line 599, in _build_from_requirements
     dists = ws.resolve(reqs, Environment())
   File "/usr/lib/python3.8/site-packages/pkg_resources/__init__.py", line 787, in resolve
     raise DistributionNotFound(req, requirers)
 pkg_resources.DistributionNotFound: The 'prompt-toolkit<1.1.0,>=1.0.0' distribution was not found and is required by haxor-news

Xenopathic commented on 2016-11-23 13:49 (UTC)

prior: Hmm, not sure what the problem is then. You might get better support asking on the GitHub project, although I can't see any issues there that match this

prior commented on 2016-11-23 10:54 (UTC)

I have version 2.1.3-1 of python-pygments.

Xenopathic commented on 2016-11-23 10:26 (UTC)

prior: I'm using python-pygments 2.1.3-1 with this package and not getting that issue. What version of python-pygments do you have installed?

prior commented on 2016-11-23 09:32 (UTC)

I can build and install it, but when I start I get the following error: Traceback (most recent call last): File "/usr/bin/haxor-news", line 11, in <module> load_entry_point('haxor-news==0.4.1', 'console_scripts', 'haxor-news')() File "/usr/lib/python3.5/site-packages/haxor_news/main.py", line 25, in cli haxor = Haxor() File "/usr/lib/python3.5/site-packages/haxor_news/haxor.py", line 110, in __init__ self._create_cli() File "/usr/lib/python3.5/site-packages/haxor_news/haxor.py", line 153, in _create_cli style_factory = StyleFactory(self.theme) File "/usr/lib/python3.5/site-packages/haxor_news/style.py", line 31, in __init__ self.style = self.style_factory(name) File "/usr/lib/python3.5/site-packages/haxor_news/style.py", line 49, in style_factory class CliStyle(Style): File "/usr/lib/python3.5/site-packages/pygments/style.py", line 76, in __new__ ndef[0] = colorformat(styledef) File "/usr/lib/python3.5/site-packages/pygments/style.py", line 33, in colorformat assert False, "wrong color format %r" % text AssertionError: wrong color format 'reverse' Am I doing something wrong or is this package broken?